> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Finalize Task Image Upload

> Finalize an uploaded task image and create a private asset record



## OpenAPI

````yaml /openapi.json post /task/image-upload/{id}/finalize
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /task/image-upload/{id}/finalize:
    post:
      tags:
        - Tasks
      summary: Finalize Task Image Upload
      description: Finalize an uploaded task image and create a private asset record
      operationId: finalizeTaskImageUpload
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                filename:
                  type: string
                contentType:
                  type: string
                size:
                  type: number
                surface:
                  enum:
                    - description
                    - comment
                  type: string
              required:
                - key
                - filename
                - contentType
                - size
                - surface
      responses:
        '200':
          description: Image upload finalized successfully
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````